Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface GroupPortal

public interface GroupPortal

Interface `GroupPortal` represents a lightweight object that associates a user group with a portal. Once an object that implements the `GroupPortal` interface has been obtained, `Portal`, `UserGroup` and `PortalPersonalization` (at group scope) objects can be obtained through the `PortalAdminManager` stateless session bean.

Method Summary
`String` | `getDisplayName()` Returns the display name for this group-portal association.
`String` | `getGroupIdentifier()` Returns the name of the weblogic user group for this group-portal association.
`PortalIdentifier` | `getPortalIdentifier()` Returns the `PortalIdentifier` for this group-portal association.
`PortalPersonalizationIdentifier` | `getPortalPersonalizationIdentifier()` Returns the `PortalPersonalizationIdentifier` object that represents a personalization at the group-portal scope.
`boolean` | `isDefault()` Returns true if this `GroupPortal` represents the default group portal.
`void` | `setDisplayName(String displayName)` Sets the display name of this group-portal association
`void` | `setGroupIdentifier(String groupId)` Sets the weblogic user group to use for this group-portal association.
`void` | `setPortalIdentifier(PortalIdentifier portalId)` Sets the `PortalIdentifier` to use for this group-portal association.
`void` | `setPortalPersonalizationIdentifier(PortalPersonalizationIdentifier portalPersonalizationId)` Sets the portal personalization identifier that represents the personalization at this group-portal association.

Method Detail

### getDisplayName

    public String getDisplayName()

  Returns the display name for this group-portal association.

  Returns:
    display name

### getPortalIdentifier

    public PortalIdentifier getPortalIdentifier()

  Returns the `PortalIdentifier` for this group-portal association.

  Returns:
    `PortalIdentifier`

### getGroupIdentifier

    public String getGroupIdentifier()

  Returns the name of the weblogic user group for this group-portal association.

  Returns:
    weblogic user group name

### getPortalPersonalizationIdentifier

    public PortalPersonalizationIdentifier getPortalPersonalizationIdentifier()

  Returns the `PortalPersonalizationIdentifier` object that represents a personalization at the group-portal scope.

  Returns:
    portal personalization identifier

### isDefault

    public boolean isDefault()

  Returns true if this `GroupPortal` represents the default group portal.

  Returns:
    true if this is the default group portal.

### setDisplayName

    public void setDisplayName(String displayName)

  Sets the display name of this group-portal association

  Parameters:
    `displayName` - the display name to use for this group-portal association.

### setPortalIdentifier

    public void setPortalIdentifier(PortalIdentifier portalId)

  Sets the `PortalIdentifier` to use for this group-portal association.

  Parameters:
    `portalId` - the `PortalIdentifier` to use.

### setGroupIdentifier

    public void setGroupIdentifier(String groupId)

  Sets the weblogic user group to use for this group-portal association.

  Parameters:
    `groupId` - the weblogic user group.

### setPortalPersonalizationIdentifier

    public void setPortalPersonalizationIdentifier(PortalPersonalizationIdentifier portalPersonalizationId)

  Sets the portal personalization identifier that represents the personalization at this group-portal association.

  Parameters:
    `portalPersonalizationId` - the `Identifier` that represents the personalization of this `GroupPortal` .

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved